--- title: "inputFile" slug: "security-filesafer-inputfile" tags: ["File Safer"] updated: 2026-10-08T04:19:35Z published: 2026-10-08T04:19:35Z canonical: "api.ncloud-docs.com/security-filesafer-inputfile" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # inputFile Available in Classic and VPC Send files to analyze with file filter. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /filefilter/v1/inputFile | ### Request headers The following describes the headers. | Field | Required | Description | | --- | --- | --- | | `Content-Type` | Required | Request and response data format - `multipart/form-data` | For information about headers commonly used in the File Safer APIs, see [File Safer API request headers](/docs/en/security-filesafer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `file` | File | Required | Target file | | `archivePassword` | String | Conditional | Compressed file password - Enter if the target file is a password-protected compressed file | ### Request example The request example is as follows: ``` curl --location --request POST 'https://filesafer.apigw.ntruss.com/filefilter/v1/inputFile' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-apigw-api-key: {API Gateway API Key}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' \ --header 'Content-Type: multipart/form-data' \ --form 'file=@"{File Name}"' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | Required | Response code | | `returnMessage` | String | Required | Response message | ### Response status codes For information about the response status codes common to all File Safer APIs, see [File Safer response status codes](/docs/en/security-filesafer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "success" } ```